=== debian/changelog ===
icewm (1.8.2-1.0antix2) unstable; urgency=medium

  * removed the mv icons line in icewm.postinst

 -- anticapitalista <antix@operamail.com>  Sun, 13 Sep 2020 12:51:32 +0300

icewm (1.8.2-1.0antix1) unstable; urgency=medium

  * latest upstream bugfix relese
  * includes Use wmHide or wmShow to hide or show the taskbar fix

 -- anticapitalista <antix@operamail.com>  Fri, 11 Sep 2020 19:58:08 +0300
