## icewm 1.8.3

=== debian/changelog ===
icewm (1.8.3-1.0antix1) unstable; urgency=medium

  * Latest upstream release
  * mainly bugfixes

 -- anticapitalista <antix@operamail.com>  Thu, 17 Sep 2020 13:43:53 +0300
