=== debian/changelog ===
icewm (1.9.0-1.0antix1) unstable; urgency=medium

  * latest uptream rlease
  * antiX buster build

 -- anticapitalista <antix@operamail.com>  Fri, 30 Oct 2020 18:01:55 +0200
