## icewm 1.9.1

=== debian/changelog ===
icewm (1.9.1-1.0antix2) unstable; urgency=medium

  * Use just one set of XSizeHints for issue ice-wm/icewm#28

 -- anticapitalista <antix@operamail.com>  Mon, 09 Nov 2020 15:17:44 +0200

icewm (1.9.1-1.0antix1) unstable; urgency=medium

  * latest upstream bugfix release
  * antiX buster build

 -- anticapitalista <antix@operamail.com>  Thu, 05 Nov 2020 14:04:53 +0200
