## icewm 1.9.2

=== debian/changelog ===
icewm (1.9.2-1.0antix1) unstable; urgency=medium

  * Official upstream release
  * antiX builds

 -- anticapitalista <antix@operamail.com>  Tue, 10 Nov 2020 13:02:58 +0200
