## icewm 2.0.0

=== debian/changelog ===
icewm (2.0.0-3.0antix1) unstable; urgency=medium

  * bump release because of Debian sid build issues 

 -- anticapitalista <antix@operamail.com>  Tue, 15 Dec 2020 01:31:52 +0200

icewm (2.0.0-1.0antix1) unstable; urgency=medium

  * latest upstream stable release
  * anti builds

 -- anticapitalista <antix@operamail.com>  Mon, 14 Dec 2020 14:34:19 +0200
