## icewm 2.0.1

=== debian/changelog ===
icewm (2.0.1-1.0antix1) unstable; urgency=medium

  * upstream bugfixes
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 03 Jan 2021 13:54:00 +0200
