## icewm 2.1.1

=== debian/changelog ===
icewm (2.1.1-1.0antix2) unstable; urgency=medium

  * Create a Settings submenu to reduce Start menu items for issue #543

 -- anticapitalista <antix@operamail.com>  Tue, 26 Jan 2021 19:03:44 +0200

icewm (2.1.1-1.0antix1) unstable; urgency=medium

  * upstream bugfixes
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 24 Jan 2021 16:52:58 +0200

icewm (2.1.0-1.0antix1) unstable; urgency=medium

  * upstream bugfixes
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 23 Jan 2021 11:37:07 +0200
