=== src/CMakeLists.txt ===
--- 
+++ 
@@ -60,10 +60,11 @@
 #    list(APPEND icewm_libs -Wl,-fuse-ld=gold)
 #endif()
 
+option(CONFIG_IMLIB2 "Imlib2 image loader" on)
 option(CONFIG_LIBPNG "PNGLIB image loader" off)
 option(CONFIG_LIBJPEG "JPEGLIB image loader" off)
-option(CONFIG_GDK_PIXBUF_XLIB "GDK-PIXBUF based image loader" on)
-option(CONFIG_LIBRSVG "Optional SVG images for GDK-PIXBUF" off)
+option(CONFIG_GDK_PIXBUF_XLIB "GDK-PIXBUF image loader" off)
+option(CONFIG_LIBRSVG "Support SVG format icons" off)
 option(CONFIG_XPM "XPM image loader" on)
 option(CONFIG_I18N "Define to enable internationalization" on)
 option(CONFIG_XRANDR "Define to enable XRANDR extension" on)
@@ -147,23 +148,27 @@
 
 set(HINT_CURSORS
 [=[
- Cursor support requires either -DCONFIG_XPM=on or -DCONFIG_IMLIB=on.
+ Cursor support requires either -DCONFIG_XPM=on or -DCONFIG_IMLIB2=on.
 ]=])
 
 set(HINT_IMG_LOADERS
 [=[
  There is a choice to be made between two image loaders.
  Either 'yimage_gdk' must be enabled by -DCONFIG_GDK_PIXBUF_XLIB=on,
+ or 'imlib2' must be enabled by -DCONFIG_IMLIB2=on,
  or else 'yximage' must be enabled by -DCONFIG_LIBPNG=on.
  The latter requires -DCONFIG_XPM=on, while -DCONFIG_LIBJPEG=on is recommended.
- The first provides optional support for SVG with -DCONFIG_LIBRSVG=on.
+ Support SVG format for Imlib2 or GdkPixbuf with -DCONFIG_LIBRSVG=on.
  ]=] ${HINT_CURSORS})
 
 # image configuration error check
-if(CONFIG_GDK_PIXBUF_XLIB)
-    #ok
-    set(CONFIG_LIBPNG off)
-    set(CONFIG_LIBJPEG off)
+if(CONFIG_IMLIB2)
+    #ok
+    if (NOT CONFIG_LIBRSVG)
+        message(WARNING "CONFIG_LIBRSVG is recommended for SVG image support")
+    endif()
+elseif(CONFIG_GDK_PIXBUF_XLIB)
+    #ok
     if (NOT CONFIG_LIBRSVG)
         message(WARNING "CONFIG_LIBRSVG is recommended for SVG image support")
     endif()
@@ -177,15 +182,16 @@
     MESSAGE(FATAL_ERROR ${HINT_IMG_LOADERS})
 endif()
 
-# cursor configuration error check
-if(CONFIG_XPM)
-    #ok
-    set(CONFIG_IMLIB off)
-elseif(CONFIG_IMLIB)
-    #ok
-    set(CONFIG_XPM off)
-else()
-    MESSAGE(FATAL_ERROR ${HINT_CURSORS})
+if(CONFIG_IMLIB2)
+    pkg_check_modules(libimlib2 imlib2)
+    if(NOT libimlib2_FOUND)
+        message(FATAL_ERROR "IMLIB2 selected but Imlib2 dev files not found."
+                ${HINT_IMG_LOADERS})
+    endif()
+    set(CONFIG_GDK_PIXBUF_XLIB off)
+    set(CONFIG_LIBPNG off)
+    set(CONFIG_LIBJPEG off)
+    LIST(APPEND icewm_img_libs ${libimlib2_LDFLAGS})
 endif()
 
 if(CONFIG_GDK_PIXBUF_XLIB)
@@ -205,11 +211,20 @@
     if(NOT librsvg_FOUND)
         message(WARNING
                 "SVG image loader selected but librsvg-2.0 dev files not found."
-                "SVG support will be not available.")
+                "SVG support will not be available.")
         set(CONFIG_LIBRSVG off)
     else()
         LIST(APPEND icewm_img_libs ${librsvg_LDFLAGS})
     endif()
+endif()
+
+# cursor configuration error check
+if(CONFIG_XPM)
+    #ok
+elseif(CONFIG_IMLIB2)
+    #ok
+else()
+    MESSAGE(FATAL_ERROR ${HINT_CURSORS})
 endif()
 
 if(CONFIG_XPM)
@@ -241,15 +256,6 @@
                 "Otherwise use -DCONFIG_LIBJPEG=off.")
     endif()
     LIST(APPEND icewm_img_libs ${libjpeg_LDFLAGS})
-endif()
-
-if(CONFIG_IMLIB)
-    pkg_check_modules(libimlib imlib)
-    if(NOT libimlib_FOUND)
-        message(FATAL_ERROR "IMLIB selected but libImlib dev files not found."
-        ${HINT_CURSORS})
-    endif()
-    LIST(APPEND icewm_img_libs ${libimlib_LDFLAGS})
 endif()
 
 IF(CONFIG_SESSION)
@@ -331,10 +337,3 @@
             list(APPEND audio_libs ${ao_LIBS})
         endif()
     endif()
-    if("${ICESOUND}" MATCHES "oss")
-        CHECK_INCLUDE_FILE_CXX(sys/soundcard.h HAVE_SYS_SOUNDCARD_H)
-        set(ENABLE_OSS "${HAVE_SYS_SOUNDCARD_H}")
-    endif()
-endif(sndfile_FOUND)
-
-option(XINERAMA "Define to enable Xinerama support" on)
