=== debian/changelog ===
icewm (2.1.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Feb 2021 20:05:50 -0800

icewm (2.1.2-1) unstable; urgency=medium

  * New upstream release
    + fixes descovery of desktop files in folders with broken symlinks

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Feb 2021 22:27:54 +0100

icewm (2.1.1-1) unstable; urgency=medium

  * New upstream release
    + fixes a pseudo crash caused by incorrect internal image handling which
      was accidentally covered by direct use of (now dropped) libxpm
      functionality (closes: #980837)

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Jan 2021 21:08:55 +0100

icewm (2.0.0-2) unstable; urgency=low

  * Disable direct loaders except for Imlib2 and librsvg
  * Dropped libgdx-pixbuf-2.0 dependency (its xlib support is deprecated)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 16:30:03 +0100

icewm (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 11:22:49 +0100

icewm (1.9.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 12 Nov 2020 19:25:03 +0100

icewm (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Oct 2020 22:02:45 +0100

icewm (1.8.3-2) unstable; urgency=low

  * Upload to Unstable
  * Disabling upstream tests (not ready for buildd environment)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Sep 2020 00:51:30 +0200

icewm (1.8.3-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Sep 2020 10:59:51 +0200

icewm (1.8.1+git20200906-1) experimental; urgency=low

  * New upstream release (plus a few fixes from HEAD)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Sep 2020 12:11:15 +0200
