=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ICONS=$(CURDIR)/debian/icons
 FDO=$(CURDIR)/debian/fdo
 CUSTOM=$(CURDIR)/debian/custom
-cmakeargs = -DDOCDIR=$(DOCDIR) -DHTMLDIR=$(DOCDIR)/html -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DVERSION=$(ORIGVERSION) -DCMAKE_VERBOSE_MAKEFILE=ON -DICESOUND=AO -DCONFIG_GDK_PIXBUF_XLIB=on -DCONFIG_XPM=on -DCONFIG_LIBPNG=off -DCONFIG_LIBRSVG=on -DXTERMCMD=x-terminal-emulator
+cmakeargs = -DDOCDIR=$(DOCDIR) -DHTMLDIR=$(DOCDIR)/html -DVERSION=$(ORIGVERSION) -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON -DICESOUND=AO -DCONFIG_IMLIB2=on -DCONFIG_LIBRSVG=on -DCONFIG_XPM=off -DCONFIG_PNG=off -DCONFIG_GDK_PIXBUF_XLIB=off -DXTERMCMD=x-terminal-emulator
 #-DEXTRA_LIBS="-lsupc++" 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -26,7 +26,7 @@
 endif
 
 %:
-	dh $@ --parallel -Scmake
+	dh $@ -Scmake
 
 # DEBVERSION=$(shell dpkg-parsechangelog -SVersion)
 # that one also works with wheezy
@@ -55,11 +55,17 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(cmakeargs)
 
+override_dh_autoreconf:
+	true
+
+override_dh_auto_test:
+	true
+
 #override_dh_auto_configure:
 #	$(MAKE) -f debian/rules -j2 config_normal config_lite
 
-#override_dh_auto_build:
-#	dh_auto_build
+override_dh_auto_build:
+	dh_auto_build -- all strtest
 #	cd debian && for x in -lite -experimental ; do cp -lf icewm.postinst icewm$$x.postinst ; cp -lf icewm.prerm icewm$$x.prerm ; done
 
 #override_dh_auto_install:
@@ -89,6 +95,9 @@
 	sed -e 's,^.link.*fonts.googleapis.*,,' -i "$(ICEWM_COMMON)/usr/share/doc/icewm-common/html/"*.html
 	dh_link -A
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_clean:
 	rm -rf $(BDIR)-lite $(BDIR)-normal IceWM-FAQ.txt configure.in
 	# the variants are just symlinks
@@ -115,14 +124,20 @@
 # builds a snapshot of the upstream branch after some plausibility checks
 get-orig-source:
 	! test -e ../icewm_$(ORIGVERSION).orig.tar.xz || (echo Target already exists ; exit 1)
-	lc=`git reflog $(UPSTREAM_BRANCH) | head -n1 | cut -f1 -d" "` && echo "Expected upstream ref: $$lc (on failure run update-debian-mod target)" && grep -m1 ^commit ChangeLog | grep $$lc
+# little canary to prevent forgotten updates - however, not applied for upstream tags
+	if ! test -e .git/refs/tags/$(UPSTREAM_BRANCH) ; then \
+		lc=`git reflog $(UPSTREAM_BRANCH) | head -n1 | cut -f1 -d" "` \
+		&& echo "Expected upstream ref: $$lc (on failure run update-debian-mod target)" \
+		&& grep -m1 ^commit ChangeLog | grep "$$lc" \
+	;fi
 	git tag $(ORIGTAG) $(UPSTREAM_BRANCH)
 	git archive $(ORIGTAG) --prefix icewm-$(ORIGVERSION)/ | xz -9 > ../icewm_$(ORIGVERSION).orig.tar.xz
 	test -d ../tarballs && ln ../icewm_$(ORIGVERSION).orig.tar.xz ../tarballs || true
-	pristine-tar commit ../icewm_$(ORIGVERSION).orig.tar.xz $(UPSTREAM_BRANCH)
+	pristine-tar commit ../icewm_$(ORIGVERSION).orig.tar.xz $(ORIGTAG)
 
 update-debian-mod:
 	grep debian .git/HEAD
-	set -x && git log $$(git log $(UPSTREAM_BRANCH) ChangeLog | head -n1  | cut -c 8- )..$(UPSTREAM_BRANCH) --stat=76 -M -C |fmt -sct -w80 > ChangeLog
-	git show $(UPSTREAM_BRANCH):ChangeLog >> ChangeLog
+	set -x && (echo -e "# created with git log --stat=76 -M -C -500|fmt -sct -w80\n" ; \
+		  git log $(UPSTREAM_BRANCH) --stat=76 -M -C -500|fmt -sct -w80 \
+		)|head -10000 > ChangeLog
 	git commit ChangeLog -m "Updating ChangeLog for a new Debian snapshot"
