## icewm 2.2.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -121,11 +121,6 @@
 CHECK_INCLUDE_FILE_CXX(sys/sched.h HAVE_SYS_SCHED_H "-include /usr/include/sched.h")
 CHECK_INCLUDE_FILE_CXX(sys/sysctl.h HAVE_SYS_SYSCTL_H "-include /usr/include/sys/types.h")
 CHECK_INCLUDE_FILE_CXX(uvm/uvm_param.h HAVE_UVM_UVM_PARAM_H)
-
-CHECK_TYPE_SIZE(char SIZEOF_CHAR)
-CHECK_TYPE_SIZE(long SIZEOF_LONG)
-CHECK_TYPE_SIZE(int SIZEOF_INT)
-CHECK_TYPE_SIZE(short SIZEOF_SHORT)
 
 #########################################################
 # fiting flags to options and available system features #
@@ -337,3 +332,5 @@
             list(APPEND audio_libs ${ao_LIBS})
         endif()
     endif()
+    if("${ICESOUND}" MATCHES "oss")
+        CHECK_INCLUDE_FILE_CXX(sys/soundcard.h HAVE_SYS_SOUNDCARD_H)
