=== debian/changelog ===
icewm (2.2.0-1.0antix1) unstable; urgency=medium

  * latest upstream
  * Support modifying all icewm preferences directly via a popup.
  * Allow to reset a key or string option in the preferences menu.
  * Show the preference description when modifying a preference.
  * Give each preference option a meaningful description.
  * Drop support for nonICCCMconfigureRequest winoption.
  * Immediately redraw clock after setting default clock format.
  * Add new clock format %H:%M to clock menu.
  * Fix cmake test target for issue #41.
  * Improve CMake build speed by building libraries.
  * If an application resizes itself partially outside the work area, then move it back inside the work area, if possible, for issue #550.
  * Fix ignoreQuickSwitch winoption for focused windows for issue #552.
  * Support locales in icehelp and icewmhint. 
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 28 Feb 2021 17:28:50 +0200

icewm (2.1.2-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 10 Feb 2021 15:04:03 +0200
