## icewm 2.2.1

=== debian/changelog ===
icewm (2.2.1-1.0antix1) unstable; urgency=medium

  * Fix the CMake build
  * Draw an icon in each message box popup
  * Make input field focus tab-traversable when editing preferences
  * When modifying preferences, only trim input for scalar options
  * Simplify the icewm manpage
  * Taskbar may have a non-zero screen due to XineramaPrimaryScreen
  * Position the move/size-status on the screen of the window
  * above are upstream changes
  * antiX build

 -- anticapitalista <antix@operamail.com>  Wed, 03 Mar 2021 14:29:27 +0200
