## icewm 2.3.1

=== debian/changelog ===
icewm (2.3.1-1.0antix1) unstable; urgency=medium

  * upstream bugfixes
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 04 Apr 2021 12:24:37 +0300

icewm (2.3.0-1.0antix1) unstable; urgency=medium

  * upstream bugfix, enhancements
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 01 Apr 2021 18:27:13 +0300
