## icewm 2.3.2

=== debian/changelog ===
icewm (2.3.2-1.0antix1) unstable; urgency=medium

  * upstream bugfix release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 15 Apr 2021 14:25:52 +0300
