## icewm 2.3.3

=== debian/changelog ===
icewm (2.3.3-1.0antix1) unstable; urgency=medium

  * upstream bugfix release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 29 Apr 2021 17:55:35 +0300
