=== debian/changelog ===
icewm (2.3.4-1.0antix1) unstable; urgency=medium

  * upstream 2.3.4 release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 07 May 2021 15:23:31 +0300
