## icewm 2.4.0

=== debian/changelog ===
icewm (2.4.0-1.0antix1) unstable; urgency=medium

  * latest upstream 2.4.0 release
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 07 Jun 2021 14:26:17 +0300
