## icewm 2.5.0

=== debian/changelog ===
icewm (2.5.0-1.0antix1) unstable; urgency=medium

  * latest 2.5.0 upstream release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 26 Jun 2021 16:11:37 +0300
