## icewm 2.6.0

=== debian/changelog ===
icewm (2.6.0-1.0antix1) unstable; urgency=medium

  * latest 2.6.0 upstream release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 08 Jul 2021 22:14:50 +0300
