=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
 
 set(LOGEVENTS ${ENABLE_LOGEVENTS})
 SET(CONFIG_DEFAULT_THEME "default/default.theme" CACHE STRING "Name of default theme")
+SET(CONFIG_DEFAULT_BACKGROUND "" CACHE STRING "Default background image or directory")
 SET(CONFIG_UNICODE_SET "" CACHE STRING "Your iconv unicode set in machine endian encoding (e.g. WCHAR_T, UCS-4-INTERNAL, UCS-4LE, UCS-4BE)")
 # turn off when empty, see config.h template for details
 IF("" STREQUAL "${CONFIG_UNICODE_SET}")
@@ -333,4 +334,3 @@
         endif()
     endif()
     if("${ICESOUND}" MATCHES "oss")
-        CHECK_INCLUDE_FILE_CXX(sys/soundcard.h HAVE_SYS_SOUNDCARD_H)
