=== debian/changelog ===
icewm (2.7.0-1.0antix1) unstable; urgency=medium

  * latest 2.7.0 upstream release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 06 Aug 2021 16:19:08 +0300
